about summary refs log tree commit diff
path: root/tests/plugins.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/plugins.sh')
-rw-r--r--tests/plugins.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/tests/plugins.sh b/tests/plugins.sh
new file mode 100644
index 000000000000..6d18d1da0d18
--- /dev/null
+++ b/tests/plugins.sh
@@ -0,0 +1,7 @@
+source common.sh
+
+set -o pipefail
+
+res=$(nix eval '(builtins.constNull true)' --option plugin-files $PWD/plugins/plugintest.so)
+
+[ "$res"x = "nullx" ]